# SPDX-License-Identifier: MIT
#
# Copyright (c) 2024 TQ-Systems GmbH <oss@ew.tq-group.com>, D-82229 Seefeld, Germany.
# Author: Matthias Schiffer
#
# "0001-chromium-gpu-sandbox-allow-access-to-PowerVR-GPU-fro.patch" based
# on original patch and configuration by Texas Instruments, found in
# https://git.ti.com/cgit/arago-project/meta-arago/
#
# The patch was verified to work on Chromium versions
# 126.0.6478.126 to 129.0.6668.100.
#
# The bbappend does not limit it to a specific version, as
# meta-browser-chromium is updated too frequently, and the patch will
# usually apply just fine to newer versions as well (and working around a
# non-applicable patch using :remove is easier than working around a
# non-applicable bbappend).

FILESEXTRAPATHS:prepend := "${THISDIR}/${PN}:"

CHROMIUM_EXTRA_ARGS:remove:dumpling-wayland-ti = " --use-gl=egl"
CHROMIUM_EXTRA_ARGS:append:dumpling-wayland-ti = " --use-gl=angle"

SRC_URI:append:dumpling-wayland-ti = " \
    file://0001-chromium-gpu-sandbox-allow-access-to-PowerVR-GPU-fro.patch \
"
